Update Business

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint update details of the business by it's Id. One or more of request body parameters most be present or it will throw an error

Request:

FieldTypeDescription
idIntegerUnique identifier of business (Path Parameter)
nameStringNew business name
countryStringNew Country where business is located
stateStringNew State in country where business is located
cityEnum(String)New City in state where business is located
postcodeStringNew Code of numbers and letters part of a mailing address of business
streetaddressStringNew Address of business

Example request

curl --location 'https://api.vendy.money/business/930' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
    "name":"New Business Name",
    "country": "nga",
    "state": "Lagos",
    "city": "Lagos",
    "postcode": "10024",
    "streetaddress": "No 2, Way road"
}'

Response:

FieldTypeDescription
statusBooleanStates if request was successfully executed or not
codeIntegerInternal code, success if 200
msgStringDescription of completed request
dataJSONExtra details

Example response

{
  "status": true,
  "code": 200,
  "msg": "Business updated",
  "data": {}
}
Path Params
string
required

unique identifier of business

Body Params
string

New business name

string

New country where business is located

string

New state in country where business is located

string

New city in state where business is located

string

New code of numbers and letters part of a mailing address of business

string

Address of business

Response

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json